Bug 730496 - [abrt] blueman-1.21-7.fc15: blueman-sendto:156:on_cancel:AttributeError: 'NoneType' object has no attribute 'props'
[abrt] blueman-1.21-7.fc15: blueman-sendto:156:on_cancel:AttributeError: 'Non...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: blueman (Show other bugs)
15
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Juan Manuel Rodriguez
Fedora Extras Quality Assurance
abrt_hash:991498e3cf83956726d48ca2224...
:
: 758949 765649 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-13 14:19 EDT by kalgecin
Modified: 2012-08-07 13:33 EDT (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 13:33:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description kalgecin 2011-08-13 14:19:27 EDT
abrt version: 2.0.3
architecture:   x86_64
cmdline:        /usr/bin/python /usr/bin/blueman-sendto --device=20:13:E0:73:7E:A7
comment:        Trying to send a file to a galaxy mini s5570
component:      blueman
executable:     /usr/bin/blueman-sendto
kernel:         2.6.40-4.fc15.x86_64
os_release:     Fedora release 15 (Lovelock)
package:        blueman-1.21-7.fc15
reason:         blueman-sendto:156:on_cancel:AttributeError: 'NoneType' object has no attribute 'props'
time:           Sat Aug 13 21:12:36 2011
uid:            500
username:       kalgecin

backtrace:
:blueman-sendto:156:on_cancel:AttributeError: 'NoneType' object has no attribute 'props'
:
:Traceback (most recent call last):
:  File "/usr/bin/blueman-sendto", line 292, in on_response
:    self.on_cancel(None)
:  File "/usr/bin/blueman-sendto", line 156, in on_cancel
:    button.props.sensitive = False
:AttributeError: 'NoneType' object has no attribute 'props'
:
:Local variables in innermost frame:
:reply: <function reply at 0x137d050>
:button: None
:self: <Sender object at 0x1360e10 (__main__+Sender at 0x1418f20)>
Comment 1 John 2011-10-06 15:00:01 EDT
Package: blueman-1.21-10.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
During sending a file
Comment 2 John 2011-10-08 08:56:12 EDT
Package: blueman-1.21-10.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
Crash provided during pairing with mobile phone HTC Touch Pro2 bluetooth
Comment 3 Igor Bukanov 2011-11-01 18:35:28 EDT
Package: blueman-1.21-10.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
I tryied to send a file to Samsung GT-B2710
Comment 4 brice 2011-12-07 09:01:37 EST
Package: blueman-1.21-10.fc16
Architecture: i686
OS Release: Fedora release 16 (Verne)

Comment
-----
trying to send a file to my android phone using blueman
Comment 5 Roman Melihhov 2012-01-07 09:12:56 EST
pairing with random key failed

rating: (null)
Package: blueman-1.21-10.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)
Comment 6 Tiago 2012-01-08 11:44:36 EST
Trying to send file to bluetooth device using blueman manager.

rating: (null)
Package: blueman-1.21-10.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)
Comment 7 beaver.pv 2012-01-20 07:38:58 EST
trying to send the file to Nokia N900

Package: blueman-1.21-10.fc16
Architecture: i686
OS Release: Fedora release 16 (Verne)
Comment 8 Zoltan Hoppar 2012-01-29 10:12:33 EST
I'm tried to send/receive files with blueman - but received error. It seems it after its properly paired tries to contact, connection succeeds, but the transfer is broken. Also seen as known bug, but HTH with this analyse. Even if I try to send files directly with the BT app - then gets paired, but refusing the transfer with Permission denied (13)... I stucked, because I need tethering....

Package: blueman-1.21-10.fc16
OS Release: Fedora release 16 (Verne)
Comment 9 Zoltan Hoppar 2012-01-29 10:17:39 EST
BTW - there is newer release with an bunch of fix than the current, v1.23 - http://download.tuxfamily.org/blueman/blueman-1.23.tar.gz Please update. HTH
Comment 10 Zoltan Hoppar 2012-01-29 10:27:28 EST
New discovery: I have searched for missing bluetooth bluez packages. The pybluez and the bluez-compat package wasn't included. After I have added them, the phone manager CONNECTS, and begins the transfer, but shortly after the connection is went - shuts down and breaks the contact. Currently repeating these steps. So something forcing to break the connection.
Comment 11 Germán Racca 2012-03-06 08:43:16 EST
This happened while I was sending a file to my cell phone.

Package: blueman-1.21-10.fc16
OS Release: Fedora release 16 (Verne)
Comment 12 Moises Gomez 2012-04-09 15:16:26 EDT
Stop send file.

Package: blueman-1.21-10.fc16
OS Release: Fedora release 16 (Verne)
Comment 13 Christoph Wickert 2012-04-26 18:51:50 EDT
*** Bug 758949 has been marked as a duplicate of this bug. ***
Comment 14 Christoph Wickert 2012-04-26 18:52:06 EDT
*** Bug 765649 has been marked as a duplicate of this bug. ***
Comment 15 Germán Racca 2012-05-04 09:51:41 EDT
This happened while trying to send a file to my mobile phone. It always happens!

Package: blueman-1.21-10.fc16
OS Release: Fedora release 16 (Verne)
Comment 16 Fedora End Of Life 2012-08-07 13:33:29 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.